ItemFactoryConnector(3)

NAME - ItemFactoryConnector

HEADER REQUIRED
#include <gtk--/itemfactory.h&gt;>

BASE CLASSES
ItemFactoryConnectorBase(3)

PUBLIC MEMBER INDEX
    ItemFactoryConnector(T *target_widget, void (T::*target_method)(DT), const DT &target_method_arg);
    m_widget(target_widget);
    ItemFactoryConnector(T *target_widget, void (T::*target_method)());
    m_widget(target_widget);
    virtual  ~ItemFactoryConnector();

PROTECTED MEMBER INDEX
    virtual void  connectTo(Gtk_Widget * m) const;
    template void  connectTo( U * m, int ) const;

PRIVATE MEMBER INDEX
    T * m_widget;
    void(T::*m_method);
    void(T::*m_method_no_arg);
    DT  m_method_arg;

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS